org.apache.tools.ant.taskdefs

## Class Get.VerboseProgress

- java.lang.Object
- - org.apache.tools.ant.taskdefs.Get.VerboseProgress

- All Implemented Interfaces:
    Get.DownloadProgress
  Enclosing class:
    Get

      public static class Get.VerboseProgress
      extends java.lang.Object
      implements Get.DownloadProgress

  verbose progress system prints to some output stream

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Get.VerboseProgress(java.io.PrintStream out)` Construct a verbose progress reporter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginDownload()` begin a download
    `void` | `endDownload()` end a download
    `void` | `onTick()` tick handler

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Get.VerboseProgress

          public Get.VerboseProgress(java.io.PrintStream out)

      Construct a verbose progress reporter.
      Parameters:
        `out` - the output stream.

  - ### Method Detail

    - #### beginDownload

          public void beginDownload()

      begin a download
      Specified by:
        `beginDownload` in interface `Get.DownloadProgress`

    - #### onTick

          public void onTick()

      tick handler
      Specified by:
        `onTick` in interface `Get.DownloadProgress`

    - #### endDownload

          public void endDownload()

      end a download
      Specified by:
        `endDownload` in interface `Get.DownloadProgress`